import psycopg

db = psycopg.connect('dbname=terp_ocsk', serialize=0)
cr = db.cursor()

# setup

name = 'property_payment_term'

cr.execute("select id from ir_model_fields where name='property_payment_term' and model='res.partner'")
fields_id = cr.fetchone()[0]

cr.execute("select company_id from res_users where company_id is not null limit 1")
company_id = cr.fetchone()[0]

# get partners

cr.execute("select id, payment_term from res_partner where payment_term is not null")
partners = cr.dictfetchall()

# loop over them

for partner in partners:
	value = 'account.payment.term,%d' % partner['payment_term']
	res_id = 'res.partner,%d' % partner['id']
	cr.execute(
		"insert into ir_property(name, value, res_id, company_id, fields_id) "\
		"values(%s, %s, %s, %d, %d)", 
		(name, value, res_id, company_id, fields_id))

cr.commit()
cr.close()
